Subject: Re: Why is patch(1) asking for the file names already given?
From: "Max Bowsher" <[email-masked]>
To: "Constantine" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 3 Jun 2003 23:24:00 +0100

>>>> / Constantine <[email-masked]> wrote:
>>>>> I am trying to apply a patch I made for myself. When I am running the
>>>>> patch(1) utility, I am always being asked to type in the file name to
>>>>> a file that needs to be patched.

> Max Bowsher wrote:
>> Perhaps your patch file is corrupt.
>> Please post the first 10 lines of it.

Constantine wrote:
> --- start ---
> diff -b -B --exclude='*.*htm*' -r en-US/.jar/autoconfig/contents.rdf
> en-GB/.jar/autoconfig/contents.rdf
> 7c7
> <     <RDF:li resource="urn:mozilla:locale:en-US"/>
> ---
>  >     <RDF:li resource="urn:mozilla:locale:en-GB"/>
> 11c11
> <   <RDF:Description about="urn:mozilla:locale:en-US">
> ---
>  >   <RDF:Description about="urn:mozilla:locale:en-GB">
> --- end ---

Ah. No wonder it isn't working. 
"Normal" diffs don't store any filename information.
Use diff -u or diff -c.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/